Support » Allgemeine Fragen » syntax error, php kompatibel?

  • Gelöst kiezkieken2019

    (@kiezkieken2019)


    Liebes Forum,

    leider funktioniert die Webseite nicht mehr, mit folgendem Fehler:

    Parse error: syntax error, unexpected end of file in /customers/e/3/0/meine-domain.de/httpd.www/wp-includes/user.php on line 1540

    in dieser Zeile steht folgendes:

    $user_pass = ! empty( $userdata['user_pass'] ) ? $userdata['user_pass'] : $old_user_data->user_pass;

    Vorher war folgendes geschehen:
    Nach einem Spam Problem über die Benutzerregistriereung wurde die Domain von one.com gesperrt.

    Im Anschluss habe ich wordpress manuell aktualisiert und einen Passwortschutz eingerichtet, (jetzt erschien der Fehler) danach habe ich die Plugins deaktiviert und das Theme twentysixteen aktualisiert, aber der Fehler erscheint weiterhin.

    One.com hat mich an dieses Forum geschickt, mit folgender Vermutung: wahrscheinlich ist dieser Pfad customers/e/3/0/meine-domain.de/httpd.www/wp-includes/user.php auch nicht php kompatibel mit php 7.2

    Bitte geben Sie mir einen Rat.

    BEste Grüße E.S.

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)
  • Hallo E.S.

    @kiezkieken2019
    WordPress ist sogar mit PHP 7.3 kompatibel, also auch mit PHP 7.2.

    Ist das Problem erledigt? Die Website ist erreichbar.

    unexpected end of file

    Das deutet darauf hin, dass eine schließende Klammer } fehlt.

    Und Grüße an one.com, die haben keine Ahnung 😉

    Vielen Dank für Eure Hilfe!
    Scheinbar hatte die eine Person wirklich keine Ahnung. Ich habe dann eine andere Person beim One.com support gefragt, die hat dann den Fehler in einem uploadfehler von user.php gefunden.
    Jetzt funktioniert alles wieder 🙂

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)
  • Das Thema „syntax error, php kompatibel?“ ist für neue Antworten geschlossen.